AeccApplication from LISP

Discussion in 'AutoCAD' started by mgrigoriev, Mar 25, 2005.

  1. mgrigoriev

    mgrigoriev Guest

    Hi,

    Is there a way to get AeccApplication from LISP, not the Application?
    Like instead of

    (setq acadapp (vlax-get-acad-object))

    Something like:
    (setq acadapp (vlax-get-aec-object))

    Thanks,
    Mike
     
    mgrigoriev, Mar 25, 2005
    #1
  2. mgrigoriev

    juno Guest

    you can use SendCommnd
     
    juno, Mar 25, 2005
    #2
  3. Just like you would in VBA: GetInterfaceObject.
     
    Frank Oquendo, Mar 25, 2005
    #3
  4. mgrigoriev

    mgrigoriev Guest

    Sorry, I didn't explain it well. I have a DLL that uses LD3 objects, AeccApplication. I need to send AeccApplication as a parameter to the DLL from LISP. Here's what I do for regular AutoCAD:

    (defun c:drn()
    (vl-load-com)
    (setq acadapp (vlax-get-acad-object))
    (setq obj (vlax-invoke-method acadapp 'GetInterfaceObject "Common.Drn"))
    (vlax-invoke obj 'drn acadapp)
    )
     
    mgrigoriev, Mar 25, 2005
    #4
  5. mgrigoriev

    mgrigoriev Guest

    Thanks, Frank. That should work.
     
    mgrigoriev, Mar 29, 2005
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.